Skip to main content
POST
/
v2
/
interactive-submission
/
executeAndWait
/v2/interactive-submission/executeAndWait
curl --request POST \
  --url https://api.example.com/v2/interactive-submission/executeAndWait \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "preparedTransaction": "<string>",
  "partySignatures": {
    "signatures": [
      {
        "party": "<string>",
        "signatures": [
          {
            "format": "<string>",
            "signature": "<string>",
            "signedBy": "<string>",
            "signingAlgorithmSpec": "<string>"
          }
        ]
      }
    ]
  },
  "submissionId": "<string>",
  "hashingSchemeVersion": "HASHING_SCHEME_VERSION_UNSPECIFIED",
  "deduplicationPeriod": {
    "DeduplicationDuration": {
      "value": {
        "seconds": 123,
        "nanos": 123
      }
    }
  },
  "userId": "<string>",
  "minLedgerTime": {
    "time": {
      "Empty": {}
    }
  }
}
'
{
  "updateId": "<string>",
  "completionOffset": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json
preparedTransaction
string
required

the prepared transaction Typically this is the value of the prepared_transaction field in PrepareSubmissionResponse obtained from calling prepareSubmission.

Required

partySignatures
PartySignatures · object
required

The party(ies) signatures that authorize the prepared submission to be executed by this node. Each party can provide one or more signatures.. and one or more parties can sign. Note that currently, only single party submissions are supported.

Required

submissionId
string
required

A unique identifier to distinguish completions for different submissions with the same change ID. Typically a random UUID. Applications are expected to use a different UUID for each retry of a submission with the same change ID. Must be a valid LedgerString (as described in value.proto).

Required

hashingSchemeVersion
enum<string>
required

The hashing scheme version used when building the hash

Required

Available options:
HASHING_SCHEME_VERSION_UNSPECIFIED,
HASHING_SCHEME_VERSION_V2,
HASHING_SCHEME_VERSION_V3
deduplicationPeriod
DeduplicationPeriod · object
userId
string

See [PrepareSubmissionRequest.user_id]

Optional

minLedgerTime
MinLedgerTime · object

If set will influence the chosen ledger effective time but will not result in a submission delay so any override should be scheduled to executed within the window allowed by synchronizer.

Optional

Response

updateId
string
required

The id of the transaction that resulted from the submitted command. Must be a valid LedgerString (as described in value.proto).

Required

completionOffset
integer<int64>
required

The details of the offset field are described in community/ledger-api/README.md.

Required